org.apache.synapse.commons.throttle.module.utils.impl

## Class DummyAuthenticator

- java.lang.Object
- - org.apache.synapse.commons.throttle.module.utils.impl.DummyAuthenticator

- All Implemented Interfaces:
    AuthenticationFuture

      public class DummyAuthenticator
      extends java.lang.Object
      implements AuthenticationFuture

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyAuthenticator(java.lang.String oAuthHeader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAPIKey()`
    `java.util.List` | `getAuthorizedRoles()`
    `java.lang.String` | `getURI()`
    `boolean` | `isAuthenticated()`
    `void` | `setAuthenticated(boolean isAuthenticated)`
    `void` | `setAuthorizedRoles(java.util.List roles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyAuthenticator

          public DummyAuthenticator(java.lang.String oAuthHeader)

  - ### Method Detail

    - #### isAuthenticated

          public boolean isAuthenticated()

      Specified by:
        `isAuthenticated` in interface `AuthenticationFuture`

    - #### getAuthorizedRoles

          public java.util.List getAuthorizedRoles()

      Specified by:
        `getAuthorizedRoles` in interface `AuthenticationFuture`

    - #### getAPIKey

          public java.lang.String getAPIKey()

      Specified by:
        `getAPIKey` in interface `AuthenticationFuture`

    - #### getURI

          public java.lang.String getURI()

      Specified by:
        `getURI` in interface `AuthenticationFuture`

    - #### setAuthenticated

          public void setAuthenticated(boolean isAuthenticated)

      Specified by:
        `setAuthenticated` in interface `AuthenticationFuture`

    - #### setAuthorizedRoles

          public void setAuthorizedRoles(java.util.List roles)

      Specified by:
        `setAuthorizedRoles` in interface `AuthenticationFuture`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.